"use client";

import { Locale } from "@/i18n/routing";
import { Icon } from "@iconify/react/dist/iconify.js";
import { useTranslations } from "next-intl";
import Link from "next/link";

interface BackButtonProps {
	locale: Locale;
}

export default function BackButton({ locale }: BackButtonProps) {
	const t = useTranslations();

	return (
		<Link
			href={`/${locale}`}
			className="inline-flex items-center cursor-pointer p-3 hover:text-custom-primary-transparent relative z-[9999]"
		>
			<Icon icon="icon-park-outline:back" color="white" fontSize={"25px"} />
			<span className="font-bold text-sm text-white mr-2">{t("Back to Home")}</span>
		</Link>
	);
} 